Subject: Re: [PATCH v2 1/7] invalidate_ref_cache(): rename function from invalidate_cached_refs()

From: Michael Haggerty <[email-masked]>
Date: Tue, 11 Oct 2011 07:53:35 +0200

On 10/11/2011 02:00 AM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> It is the cache that is being invalidated, not the references.
>>
>> Signed-off-by: Michael Haggerty <[email-masked]>
>> ---
> 
> Although I think one can say "ref cache is the container for cached refs"
> and invalidating the "ref cache" as the container and invalidating the
> "cached refs" as a collection mean essentially the same thing, probably
> the new name makes more sense.

I certainly didn't mean to imply that the old name was incorrect.  I
just think that the new name removes a tiny bit of ambiguity.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/